<template>
    <v-container class="lighten-5" fluid>
        <v-row class="" justify="center" no-gutters>
            <div class="Statistics">
                <div v-if="uploadedByStats.length>0"
                     style="background-color: aliceblue; padding: 2em; text-align: center ">
                    <h1 style="padding-bottom: 2em">
                        Files uploaded by
                    </h1>
                    <Chart v-bind:data-to-show="uploadedByStats" v-bind:label="'lasdasd'"></Chart>
                </div>
            </div>

        </v-row>

        <v-row justify="center" style="margin-top: 10px">
            <div class="Statistics">
                <div v-if="convertedByStats.length>0"
                     style="background-color: aliceblue; padding: 2em; text-align: center ">
                    <h1 style="padding-bottom: 2em">
                        Files converted by
                    </h1>
                    <Chart v-bind:data-to-show="convertedByStats" v-bind:label="'asdasdasdsad'"></Chart>
                </div>
            </div>
        </v-row>
    </v-container>
</template>

<script>
    import Chart from "./Chart";
    import {getStats} from "../../util/api-provider";

    export default {
        components: {
            Chart
        },
        props: {},
        data() {
            return {
                statistics: {},
                convertedByStats: [],
                uploadedByStats: []
            }
        },
        mounted() {
            getStats().then(response => {
                this.uploadedByStats = response.data.uploadedByStats
                this.convertedByStats = response.data.convertedByStats
            })
        }
    };
</script>
